---
import ThemedImage from "@components/ThemedImage.astro";

// All images
import ubportsLogoDarkImg from "@assets/img/ubports-logo-dark.svg";
import ubportsLogoLightImg from "@assets/img/ubports-logo.svg";
import yumiLogoImg from "@assets/img/services/yumi.svg";
import soundcloudLogoImg from "@assets/img/services/soundcloud.svg";
import mastodonLogoImg from "@assets/img/services/mastodon.svg";
import pixelfedLogoImg from "@assets/img/services/pixelfed.svg";
import linkedinLogoImg from "@assets/img/services/linkedin.svg";
import facebookLogoImg from "@assets/img/services/facebook.svg";
import twitterLogoImg from "@assets/img/services/twitter.svg";
import instagramLogoImg from "@assets/img/services/instagram.svg";
import youtubeLogoImg from "@assets/img/services/youtube.svg";
import rssLogoImg from "@assets/img/services/rss.svg";
---

<!-- Footer -->
<footer class="footer d-print-none">
  <div class="footer-upper">
    <div class="container">
      <div class="row">
        <div class="col-sm-6 mt-3 col-md-2">
          <h4>Devices</h4>
          <ul>
            <li>
              <a
                href="https://docs.ubports.com/en/latest/porting/introduction"
                target="_blank">Porting a new device</a
              >
            </li>
            <li>
              <a href="/about/device-file" target="_blank"> Index a device</a>
            </li>
            <li>
              <a href="/about/codenames/">Codenames</a>
            </li>
            <li>
              <a href="/new.xml" data-astro-reload>RSS</a>
            </li>
          </ul>
        </div>
        <div class="col-sm-6 col-md-2 mt-3">
          <h4>Installer</h4>
          <ul>
            <li>
              <a
                target="_blank"
                href="https://github.com/ubports/ubports-installer"
                >Source Code</a
              >
            </li>
            <li>
              <a
                target="_blank"
                href="https://gitlab.com/ubports/infrastructure/devices.ubuntu-touch.io/-/issues"
                >Report a bug</a
              >
            </li>
            <li>
              <a
                target="_blank"
                href="https://ubports.open-cuts.org/system/5e9d746c6346e112514cfec7"
                >Open Cuts</a
              >
            </li>
          </ul>
        </div>
        <div class="col-sm-6 col-md-2 mt-3">
          <h4>UBports</h4>
          <ul>
            <li>
              <a target="_blank" href="https://docs.ubports.com/"
                >Documentation</a
              >
            </li>
            <li>
              <a target="_blank" href="http://ubports.com/blog">Blog</a>
            </li>
            <li>
              <a target="_blank" href="https://forums.ubports.com">Forum</a>
            </li>

            <li>
              <a target="_blank" href="http://ubports.com/join-us">Join</a>
            </li>
          </ul>
        </div>
        <div class="col-sm-6 col-md-2 mt-3">
          <h4>Channels</h4>
          <ul>
            <li>
              <a href="http://t.me/ubports_news/" target="_blank"
                >Announcement</a
              >
            </li>
            <li>
              <a href="https://t.me/ubports" target="_blank">Main</a>
            </li>
            <li>
              <a href="http://t.me/WelcomePlus/" target="_blank">Installation</a
              >
            </li>
            <li>
              <a href="https://t.me/ubports_porting" target="_blank">Porting</a>
            </li>
            <li>
              <a href="http://t.me/UTFAQ/" target="_blank">FAQ</a>
            </li>
          </ul>
        </div>
        <div class="col-md-4 col-sm-12 mt-3">
          <h3 class="h4">
            We dare to dream about a future where users, developers and
            companies alike can define smart-phones together.
          </h3>
          <p class="mt-3">
            Would you be so kind to help us keep our project alive? <br />
            <a
              class="link"
              href="https://docs.ubports.com/en/latest/contribute/index.html"
              target="_blank">Contributions</a
            >
            or <a class="link" href="https://ubports.com/donate" target="_blank"
              >donations</a
            >
            are both appreciated.
          </p>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer Top -->
  <div class="footer-top">
    <div class="container">
      <!-- Logo -->
      <div class="footer-logo">
        <a href="http://www.ubports.com/">
          <ThemedImage
            lightSrc={ubportsLogoLightImg.src}
            darkSrc={ubportsLogoDarkImg.src}
            alt="ubports-logo"
          />
        </a>
      </div>
      <!-- Text -->
      <p class="footer-text">
        UBports is a global non-profit dedicated to putting you in control of
        the future of the mobile for the public good.
      </p>
      <!-- Social -->
      <div class="footer-links">
        <ul>
          <!-- Icon -->

          <li>
            <a
              href="https://forums.ubports.com/"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={yumiLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>

          <li>
            <a
              href="https://soundcloud.com/ubports"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={soundcloudLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a
              href="https://framapiaf.org/@ubports"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={mastodonLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a
              href="https://pixelfed.social/ubports"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={pixelfedLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a
              href="https://www.linkedin.com/company/ubports-com"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={linkedinLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a href="https://www.facebook.com/ubports/">
              <img
                src={facebookLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a href="https://twitter.com/ubports">
              <img
                src={twitterLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a
              href="https://www.instagram.com/ubports/"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={instagramLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a
              href="https://www.youtube.com/c/UBports"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={youtubeLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a
              href="https://ubports.com/blog/ubports-blog-1/feed"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={rssLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
        </ul>
      </div>
    </div>
  </div>

  <!-- Footer Bottom -->
  <div class="footer-bottom">
    <div class="container">
      <p>
        © Copyright {new Date().getFullYear()}{" "}
        <a href="https://ubports.com" target="_blank">UBports</a>
      </p>
      <span class="d-none d-xl-inline">•</span>
      <p>Made with love for open-source & freedom of choice</p>
      <span class="d-none d-xl-inline">•</span>
      <p class="d-none d-lg-flex">
        <a>License CC-BY-SA-4.0</a>
      </p>
      <span class="d-none d-xl-inline">•</span>
      <p class="d-none d-lg-flex">
        <a
          href="https://devices.ubuntu-touch.io/sitemap-index.xml"
          target="_blank">Site Map</a
        >
      </p>
    </div>
  </div>
</footer>
